﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RevoluionOS.Core.Desktop.Apps.Settings
{
    class Style
    {
        public static bool StyleOpen = false;
        public static Core.Resolution.Resolution Resolution = new Resolution.Resolution();
        public static uint height = 108;
        public static uint width = 320;
        public static string ContentRight = "Default";
        public static uint Contentx;
        public static uint Contenty;
        public static uint Content2x;


        public static void Draw()
        {
            #region " Form "
            Core.Desktop.Apps.Program.DrawSmall("Style", ((uint)Resolution.width - width) / 2, ((uint)Resolution.height - height) / 2, height, width, 0x000000);//draws the form
            Core.Desktop.Apps.Program.DrawClose();//draws the close button (X)
            #endregion

            #region " Content "
            Contentx = Core.Desktop.Apps.Program.Contentx + 2;
            Contenty = Core.Desktop.Apps.Program.Contenty + 2;
            Content2x = Contentx + 101;


            Core.Graphics.Font.Ownfont10x11.ConvertText("Wallpaper", Contentx, Contenty, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Style", Contentx, Contenty + 13, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Background", Contentx, Contenty + 26, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Statusbar", Contentx, Contenty + 39, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Mouse", Contentx, Contenty + 52, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Form", Contentx, Contenty + 65, 0x000000);
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x, Contenty, 1, height - 20, 0x383838);//a division line
            #endregion

            #region " ContentRight "
            if (ContentRight == "Default" || ContentRight == "Wallpaper")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Contentx, Contenty, 89, 13, 0xD3D3D3);//mark if opened
                Core.Graphics.Font.Ownfont10x11.ConvertText("Wallpaper", Contentx, Contenty, 0x000000);
                Wallpaper();//jumps to wallpaper
            }
            else if (ContentRight == "Style")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Contentx, Contenty + 13, 49, 13, 0xD3D3D3);//mark if opened
                Core.Graphics.Font.Ownfont10x11.ConvertText("Style", Contentx, Contenty + 13, 0x000000);
                StyleContent();//jumps to style

            }
            else if (ContentRight == "Background")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Contentx, Contenty + 26, 99, 13, 0xD3D3D3);//mark if opened
                Core.Graphics.Font.Ownfont10x11.ConvertText("Background", Contentx, Contenty + 26, 0x000000);
                Background();//jumps to background
            }
            else if (ContentRight == "Statusbar")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Contentx, Contenty + 39, 89, 13, 0xD3D3D3);//mark if opened
                Core.Graphics.Font.Ownfont10x11.ConvertText("Statusbar", Contentx, Contenty + 39, 0x000000);
                Statusbar();//jumps to statusbar

            }
            else if (ContentRight == "Mouse")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Contentx, Contenty + 52, 49, 13, 0xD3D3D3);//mark if opened
                Core.Graphics.Font.Ownfont10x11.ConvertText("Mouse", Contentx, Contenty + 52, 0x000000);
                Mouse();//jumps to mouse
            }
            else if (ContentRight == "Form")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Contentx, Contenty + 65, 39, 13, 0xD3D3D3);//mark if opened
                Core.Graphics.Font.Ownfont10x11.ConvertText("Form", Contentx, Contenty + 65, 0x000000);
                Form();//jumps to Form
            }

            #endregion
        }

        public static void Wallpaper()
        {
            #region " Form "
            Core.Graphics.Font.Ownfont7x8.ConvertText("Choose your Wallpaper:", Content2x + 2, Contenty, 0x000000);//text above
            #endregion

            #region " Icons and Text "
            /*
             * RevolutionOS
             */
            Core.Desktop.Wallpaper.RevolutionOS.Icon(27, 15, Content2x + 31, Contenty + 20, 0x0000FF);//draws the Icon for the wallpaper "RevolutionOS"
            Core.Graphics.Font.Ownfont7x8.ConvertText("RevolutionOS", Content2x + 2, Contenty + 37, 0x000000);//text for the Icon "RevolutionOS


            /*
             * NoToActa
             */
            Core.Graphics.Font.Ownfont7x8.ConvertText("ACTA", Content2x + 104, Contenty + 19, 0x000000);//Text in Icon "NoToActa"
            Core.Graphics.Formsforuse.Forms.DrawArray(Core.Desktop.Wallpaper.NoToActa.NoActa, 27, 27, Content2x + 105, Contenty + 10, 0xCD5C5C);//draws the icon for the wallpaper "NoToActa"
            Core.Graphics.Font.Ownfont7x8.ConvertText("NoToActa", Content2x + 90, Contenty + 37, 0x000000);//text for the icon "NoToActa"


            /*
             * Austria
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 161, Contenty + 10, 27, 9, 0xFF0000);
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 161, Contenty + 19, 27, 9, 0xffffff);
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 161, Contenty + 28, 27, 9, 0xFF0000);
            Core.Graphics.Font.Ownfont7x8.ConvertText("Austria", Content2x + 150, Contenty + 37, 0x000000);//text for the icon "Austria"
            #endregion
        }

        public static void StyleContent()
        {
            #region " Form "
            Core.Graphics.Font.Ownfont7x8.ConvertText("Choose your Style:", Content2x + 2, Contenty, 0x000000);//text above
            #endregion

            /*
             * Doesn't work!
             * I have to fix this!
             * 
             * #region " Mark "
            if (Core.Desktop.Style.Style.StyleName == "RevolutionOS")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 2, Contenty + 10, 83, 35, 3);//marks if the current style is RevolutionOS
            }
            else if (Core.Desktop.Style.Style.StyleName == "NoToActa")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 90, Contenty + 10, 55, 35, 4);//marks if the current style is NoToActa
            }
            #endregion
             */

            #region " Icons and Text "
            /*
             * RevolutionOS
             */
            Core.Desktop.Wallpaper.RevolutionOS.Icon(27, 15, Content2x + 31, Contenty + 20, 0x0000FF);//draws the Icon for the wallpaper "RevolutionOS"
            Core.Graphics.Font.Ownfont7x8.ConvertText("RevolutionOS", Content2x + 2, Contenty + 37, 0x000000);//text for the Icon "RevolutionOS


            /*
             * NoToActa
             */
            Core.Graphics.Font.Ownfont7x8.ConvertText("ACTA", Content2x + 104, Contenty + 19, 0x000000);//Text in Icon "NoToActa"
            Core.Graphics.Formsforuse.Forms.DrawArray(Core.Desktop.Wallpaper.NoToActa.NoActa, 27, 27, Content2x + 105, Contenty + 10, 0xCD5C5C);//draws the icon for the wallpaper "NoToActa"
            Core.Graphics.Font.Ownfont7x8.ConvertText("NoToActa", Content2x + 90, Contenty + 37, 0x000000);//text for the icon "NoToActa"
            #endregion
        }

        public static void Background()
        {
            Core.Graphics.Font.Ownfont7x8.ConvertText("Choose your Background:", Content2x + 2, Contenty, 0x000000);//text above

            #region " Icon and Text "
            /*
             * Black
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 6, Contenty + 10, 27, 27, 0x000000);//draws a black icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Black", Content2x + 2, Contenty + 37, 0x000000);//text for the icon black

            /*
             * Blue
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 40, Contenty + 10, 27, 27, 0x0000FF);//draws a blue icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Blue", Content2x + 40, Contenty + 37, 0x000000);//text for the icon blue

            /*
             * Green
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 75, Contenty + 10, 27, 27, 0x0AFF0A);//draws a green icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Green", Content2x + 71, Contenty + 37, 0x000000);//text for the icon green

            /*
             * Red
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 110, Contenty + 10, 27, 27, 0xCD5C5C);//draws a green icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Red", Content2x + 113, Contenty + 37, 0x000000);//text for the icon green
            #endregion
        }

        public static void Statusbar()
        {
            Core.Graphics.Font.Ownfont7x8.ConvertText("Choose your Statusbar:", Content2x + 2, Contenty, 0x000000);//text above

            #region " Icon and Text "
            /*
             * Black
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 6, Contenty + 10, 27, 27, 0x000000);//draws a black icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Black", Content2x + 2, Contenty + 37, 0x000000);//text for the icon black

            /*
             * Gray
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 40, Contenty + 10, 27, 27, 0xD3D3D3);//draws a blue icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Gray", Content2x + 40, Contenty + 37, 0x000000);//text for the icon blue

            /*
             * Green
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 75, Contenty + 10, 27, 27, 0x0AFF0A);//draws a green icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Green", Content2x + 71, Contenty + 37, 0x000000);//text for the icon green

            /*
             * Red
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 110, Contenty + 10, 27, 27, 0xCD5C5C);//draws a green icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Red", Content2x + 113, Contenty + 37, 0x000000);//text for the icon green

            /*
             * Blue
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 145, Contenty + 10, 27, 27, 0x0000FF);//draws a blue icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Blue", Content2x + 145, Contenty + 37, 0x000000);//text for the icon blue
            #endregion
        }

        public static void Mouse()
        {
            #region " Form "
            Core.Graphics.Font.Ownfont7x8.ConvertText("Choose your Mouse:", Content2x + 2, Contenty, 0x000000);//text above
            #endregion

            #region " Icons and Text "
            /*
             * Default
             */
            Core.Graphics.Formsforuse.Forms.DrawBlackWhite(Core.Graphics.Cursor.NormalCursor, 8, 12, Content2x + 20, Contenty + 19);//draws the mouse 
            Core.Graphics.Font.Ownfont7x8.ConvertText("Default", Content2x + 2, Contenty + 37, 0x000000);//text for the Icon "RevolutionOS


            /*
             * NoToActa
             */
            Core.Graphics.Font.Ownfont7x8.ConvertText("ACTA", Content2x + 69, Contenty + 19, 0x000000);//Text in Icon "NoToActa"
            Core.Graphics.Formsforuse.Forms.DrawArray(Core.Desktop.Style.Mouse.NoToActa.NoActaMouse, 27, 27, Content2x + 70, Contenty + 10, 0xCD5C5C);//draws the icon for the wallpaper "NoToActa"
            Core.Graphics.Font.Ownfont7x8.ConvertText("NoToActa", Content2x + 55, Contenty + 37, 0x000000);//text for the icon "NoToActa"
            #endregion
        }

        public static void Form()
        {
            Core.Graphics.Font.Ownfont7x8.ConvertText("Choose your Form:", Content2x + 2, Contenty, 0x000000);//text above

            #region " Icon and Text "
            /*
             * Black
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 6, Contenty + 10, 27, 27, 0x000000);//draws a black icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Black", Content2x + 2, Contenty + 37, 0x000000);//text for the icon black

            /*
             * Gray
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 40, Contenty + 10, 27, 27, 0xD3D3D3);//draws a blue icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Gray", Content2x + 40, Contenty + 37, 0x000000);//text for the icon blue

            /*
             * Green
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 75, Contenty + 10, 27, 27, 0x0AFF0A);//draws a green icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Green", Content2x + 71, Contenty + 37, 0x000000);//text for the icon green

            /*
             * Red
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 110, Contenty + 10, 27, 27, 0xCD5C5C);//draws a green icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Red", Content2x + 113, Contenty + 37, 0x000000);//text for the icon green

            /*
             * Blue
             */
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x + 145, Contenty + 10, 27, 27, 0x0000FF);//draws a blue icon
            Core.Graphics.Font.Ownfont7x8.ConvertText("Blue", Content2x + 145, Contenty + 37, 0x000000);//text for the icon blue
            #endregion
        }

        public static void Clicks()
        {
            if (Core.Desktop.Mouse.LeftClick((int)Contentx, (int)Contenty, 89, 13) == true)
            {
                ContentRight = "Wallpaper";//changes the ContenRight to Wallpaper
            }
            else if (Core.Desktop.Mouse.LeftClick((int)Contentx, (int)Contenty + 13, 49, 13) == true)
            {
                ContentRight = "Style";//changes the ContenRight to Style
            }
            else if (Core.Desktop.Mouse.LeftClick((int)Contentx, (int)Contenty + 26, 99, 13) == true)
            {
                ContentRight = "Background";//changes the ContenRight to Background
            }
            else if (Core.Desktop.Mouse.LeftClick((int)Contentx, (int)Contenty + 39, 89, 13) == true)
            {
                ContentRight = "Statusbar";//changes the ContenRight to Statusbar
            }
            else if (Core.Desktop.Mouse.LeftClick((int)Contentx, (int)Contenty + 52, 49, 13) == true)
            {
                ContentRight = "Mouse";//changes the ContenRight to Mouse
            }
            else if (Core.Desktop.Mouse.LeftClick((int)Contentx, (int)Contenty + 65, 39, 13) == true)
            {
                ContentRight = "Form";//changes the ContenRight to Form
            }
            else if (Core.Desktop.Mouse.LeftClick((Resolution.width - (int)width) / 2 + (int)width - 17, (Resolution.height - (int)height) / 2 + 6, 10, 10) == true)//if click on the close button in about programm (X)
            {
                StyleOpen = false; //close the settings app
            }
            else if ((ContentRight == "Wallpaper" || ContentRight == "Default") && Core.Desktop.Mouse.LeftClick((int)Content2x + 2, (int)Contenty + 10, 84, 45) == true)
            {
                Core.Desktop.Wallpaper.Wallpaper.WallpaperName = "Default";//changes the Wallpaper to default/RevolutionOS
            }
            else if ((ContentRight == "Wallpaper" || ContentRight == "Default") && Core.Desktop.Mouse.LeftClick((int)Content2x + 90, (int)Contenty + 10, 56, 45) == true)
            {
                Core.Desktop.Wallpaper.Wallpaper.WallpaperName = "NoToActa";//changes the Wallpaper to NoToActa
            }
            else if ((ContentRight == "Wallpaper" || ContentRight == "Default") && Core.Desktop.Mouse.LeftClick((int)Content2x + 150, (int)Contenty + 10, 48, 45) == true)
            {
                Core.Desktop.Wallpaper.Wallpaper.WallpaperName = "Austria";//changes the Wallpaper to NoToActa
            }
            else if ((ContentRight == "Background") && Core.Desktop.Mouse.LeftClick((int)Content2x + 2, (int)Contenty + 10, 34, 35) == true)
            {
                Core.Desktop.Style.Style.Background = 0x000000;//changes the background to black
            }
            else if ((ContentRight == "Background") && Core.Desktop.Mouse.LeftClick((int)Content2x + 40, (int)Contenty + 10, 27, 35) == true)
            {
                Core.Desktop.Style.Style.Background = 0x0000FF;//changes the background to black
            }
            else if ((ContentRight == "Background") && Core.Desktop.Mouse.LeftClick((int)Content2x + 71, (int)Contenty + 10, 34, 35) == true)
            {
                Core.Desktop.Style.Style.Background = 0x0AFF0A;//changes the background to green
            }
            else if ((ContentRight == "Background") && Core.Desktop.Mouse.LeftClick((int)Content2x + 110, (int)Contenty + 10, 27, 35) == true)
            {
                Core.Desktop.Style.Style.Background = 0xCD5C5C;//changes the background to red
            }
            else if ((ContentRight == "Style") && Core.Desktop.Mouse.LeftClick((int)Content2x + 2, (int)Contenty + 10, 84, 45) == true)
            {
                Core.Desktop.Style.Style.StyleName = "Default";//changes the Wallpaper to default/RevolutionOS
                Core.Desktop.Style.Style.DrawStyle();//draws the style ones
            }
            else if ((ContentRight == "Style") && Core.Desktop.Mouse.LeftClick((int)Content2x + 90, (int)Contenty + 10, 56, 45) == true)
            {
                Core.Desktop.Style.Style.StyleName= "NoToActa";//changes the Wallpaper to NoToActa
                Core.Desktop.Style.Style.DrawStyle();//draws the style ones
            }
            else if ((ContentRight == "Statusbar") && Core.Desktop.Mouse.LeftClick((int)Content2x + 2, (int)Contenty + 10, 34, 35) == true)
            {
                Core.Desktop.Style.Style.Statusbar = 0x000000;//changes the background to black
            }
            else if ((ContentRight == "Statusbar") && Core.Desktop.Mouse.LeftClick((int)Content2x + 40, (int)Contenty + 10, 27, 35) == true)
            {
                Core.Desktop.Style.Style.Statusbar = 0xD3D3D3;//changes the background to gray
            }
            else if ((ContentRight == "Statusbar") && Core.Desktop.Mouse.LeftClick((int)Content2x + 71, (int)Contenty + 10, 34, 35) == true)
            {
                Core.Desktop.Style.Style.Statusbar = 0x0AFF0A;//changes the background to green
            }
            else if ((ContentRight == "Statusbar") && Core.Desktop.Mouse.LeftClick((int)Content2x + 110, (int)Contenty + 10, 27, 35) == true)
            {
                Core.Desktop.Style.Style.Statusbar = 0xCD5C5C;//changes the background to red
            }
            else if ((ContentRight == "Statusbar") && Core.Desktop.Mouse.LeftClick((int)Content2x + 145, (int)Contenty + 10, 27, 35) == true)
            {
                Core.Desktop.Style.Style.Statusbar = 0x0000FF;//changes the background to blue
            }
            else if ((ContentRight == "Mouse") && Core.Desktop.Mouse.LeftClick((int)Content2x + 2, (int)Contenty + 10, 49, 35) == true)
            {
                Core.Desktop.Mouse.MouseType = "Default";//changes the mouse to default
            }
            else if ((ContentRight == "Mouse") && Core.Desktop.Mouse.LeftClick((int)Content2x + 55, (int)Contenty + 10, 56, 35) == true)
            {
                Core.Desktop.Mouse.MouseType = "NoToActa";//changes the mouse to NoToActa
            }
            else if ((ContentRight == "Form") && Core.Desktop.Mouse.LeftClick((int)Content2x + 2, (int)Contenty + 10, 34, 35) == true)
            {
                Core.Desktop.Apps.Program.Colorform = 0x000000;//changes the FormColor to black
            }
            else if ((ContentRight == "Form") && Core.Desktop.Mouse.LeftClick((int)Content2x + 40, (int)Contenty + 10, 27, 35) == true)
            {
                Core.Desktop.Apps.Program.Colorform = 0xD3D3D3;//changes the FormColor to gray
            }
            else if ((ContentRight == "Form") && Core.Desktop.Mouse.LeftClick((int)Content2x + 71, (int)Contenty + 10, 34, 35) == true)
            {
                Core.Desktop.Apps.Program.Colorform = 0x0AFF0A;//changes the FormColor to green
            }
            else if ((ContentRight == "Form") && Core.Desktop.Mouse.LeftClick((int)Content2x + 110, (int)Contenty + 10, 27, 35) == true)
            {
                Core.Desktop.Apps.Program.Colorform = 0xCD5C5C;//changes the Formcolor to red
            }
            else if ((ContentRight == "Form") && Core.Desktop.Mouse.LeftClick((int)Content2x + 145, (int)Contenty + 10, 27, 35) == true)
            {
                Core.Desktop.Apps.Program.Colorform = 0x0000FF;//changes the Formcolor to blue
            }

        }

    }
}
