﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RevoluionOS.Core.Desktop.Style
{
    class Style
    {
        public static string StyleName = "Default";
        public static int Background = 0x000000;
        public static int Statusbar = 0xD3D3D3;
        public static void Draw()
        {
            Core.Resolution.Driver.Screen.Clear(Background);

            Core.Desktop.Wallpaper.Wallpaper.Draw();//makes the wallpaper
            Core.Graphics.Statusbar.Statusbar.color = Statusbar;//makes the statusbar color
            Core.Graphics.Statusbar.Statusbar.Make(18);//makes the statusbar (without Logo!)
        }

        public static void DrawStyle()
        {
            if (StyleName == "Default" || StyleName == "RevolutionOS")
            {
                Core.Desktop.Style.RevolutionOS.Draw();//draws the whole RevolutionOS Style
            }
            else if (StyleName == "NoToActa")
            {
                Core.Desktop.Style.NoToActa.Draw();//draws the whole RevolutionOS Style
            }
        }
    }
}
