﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RevoluionOS.Core.Login
{
    class Screen
    {
        public static int colorstart;
        public static int colorend;
        public static uint x;
        public static uint y;
        public static Core.Resolution.Resolution Resolution = new Resolution.Resolution();
        public static string PW;

        public static void Login()
        {
            colorstart = 0x000000;
            colorend = 0x000099;
            Core.Resolution.Driver.Screen.Clear(colorend);//clears the screen to this color

            #region " Effect "
            Side();
            Top();
            RectangleLeft();
            RectangleRight();
            #endregion

            #region " Picture and Username "
            //Username and Password textfield
            Core.Graphics.Font.Ownfont14x16.ConvertText(Core.User.User.Username + ":", 160, (Resolution.uheight - 14) / 2 + 20, 0xffffff);
            Core.Desktop.Apps.Program.DrawTextField(160, (Resolution.uheight - 14) / 2 + 38, 20, 294, 0x000000);
            
            if (Core.Keyboard.Keyboard.DoingPW().Length >= 18) PW = "******************";
            else PW = Core.Keyboard.Keyboard.DoingPW();

            Core.Graphics.Font.Ownfont14x16.DrawPW(PW, 164, ((Resolution.uheight - 14) / 2) + 41, 0xffffff);
            Core.Graphics.Formsforuse.Forms.DrawArray(Core.Graphics.MoreForms.Arrow.ArrowSmall, 20, 20, 460, (Resolution.uheight - 14) / 2 + 38, 0x000000); 

            //Clock and date
            Core.Graphics.Font.Ownfont20x20.ConvertText(Core.Apps.Clock.currentTime(), Resolution.uwidth - 100, Resolution.uheight - 60, 0xD3D3D3);
            Core.Graphics.Font.Ownfont10x10.ConvertText(Core.Apps.Clock.CurrentDate(), Resolution.uwidth - 100, Resolution.uheight - 15, 0xD3D3D3);
            #endregion

            #region " Clicks "
            LeftClick();
            #endregion
        }

        public static void LoginTry()
        {
            //Check PW
            if (Core.Password.Passwd.Encrypt(Core.Keyboard.Keyboard.Password) == Core.Password.Passwd.Password)
            {
                //Make Loop to false
                Kernel.loop = false;
            }
            else
            {
                //Eroor Message
                Core.Desktop.Apps.Program.DrawErrorMessage(false, "Wrong Password!", 0, 0, 0, 0);
            }
        }

        public static void LeftClick()
        {
            if (Core.Desktop.Mouse.LeftClick(460, (Resolution.height - 14) / 2 + 38, 20, 20) == true)
            {
                LoginTry(); //Jump to "LoginTry"
            }
        }
        
        public static void Side()
        {
            for (y = 155; y <= Resolution.height; y++)
            {
                x = 0;
                for (int i = colorstart; i < colorend; i++)
                {
                    Core.Graphics.Formsforuse.Forms.Rectangle(x, y, 1, 1, i);
                    x += 1;
                }
            }
        }

        public static void RectangleLeft()
        {
            for (x = 0; x <= 155; x++)
            {
                y = 0;
                for (int i = colorstart; i <= x; i++)
                {
                    Core.Graphics.Formsforuse.Forms.Rectangle(x, y, 1, 1, i);
                    y++;
                }
            }
        }

        public static void RectangleRight()
        {
            for (y = 0; y <= 155; y++)
            {
                x = 0;
                for (int i = colorstart; i <= y; i++)
                {
                    Core.Graphics.Formsforuse.Forms.Rectangle(x, y, 1, 1, i);
                    x++;
                }
            }
        }

        public static void Top()
        {
            for (x = 155; x <= Resolution.width; x++)
            {
                y = 0;
                for (int i = colorstart; i < colorend; i++)
                {
                    Core.Graphics.Formsforuse.Forms.Rectangle(x, y, 1, 1, i);
                    y += 1;
                }
            }
        }
    }
}
