﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RevoluionOS.Core.Boot
{
    class Boot
    {
        public static string Text = "Booting RevolutionOS";
        public static int Background = 0x000000;
        public static uint percentage = 50;
        public static int x;
        public static int y;
        public static uint length;
        public static int height = 180;
        public static Core.Resolution.Resolution Resolution = new Resolution.Resolution();

        public static void Draw()
        {
            //Background
            Core.Resolution.Driver.Screen.Clear(Background);

            //Logo
            y = (Resolution.height - height) / 2;
            //Core.Graphics.Logo_bg.Logo(185, 106);

            //Loading
            y += 130;
            x = (Resolution.width - 400) / 2;
            length = 4 * percentage;
            Core.Graphics.Formsforuse.Forms.DrawRectangle((uint)x, (uint)y, 400, 40, 0xD3D3D3);
            Core.Graphics.Formsforuse.Forms.DrawRectangle((uint)x, (uint)y, length, 40, 0x383838);

            //Text
            y += 50;
            x = (Resolution.width - Text.Length * 11) / 2;
            Core.Graphics.Font.Ownfont10x11.ConvertText(Text, (uint)x, (uint)y, 0xffffff);
        }
    }
}
