﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RevoluionOS.Core.Desktop.Apps
{
    class About
    {
        public static bool AboutOpen = false;
        public static Core.Resolution.Resolution Resolution = new Resolution.Resolution();
        public static uint height = 67;
        public static uint width = 273;


        public static void Draw()
        {
            #region " Form "
            Core.Desktop.Apps.Program.DrawSmall("About", ((uint)Resolution.width - width) / 2, ((uint)Resolution.height - height) / 2, height, width, 0x000000);//draws the form
            Core.Desktop.Apps.Program.DrawClose();//draws the close button (X)
            #endregion

            #region " Content "
            uint Contentx = Core.Desktop.Apps.Program.Contentx + 2;
            uint Contenty = Core.Desktop.Apps.Program.Contenty + 2;
            Core.Graphics.Font.Ownfont7x8.ConvertText("Name: " + Core.RevolutionOS.About.Name, Contentx, Contenty, 0x000000);
            Core.Graphics.Font.Ownfont7x8.ConvertText("Version: " + Core.RevolutionOS.About.Version, Contentx, Contenty + 9, 0x000000);
            Core.Graphics.Font.Ownfont7x8.ConvertText("Author: " + Core.RevolutionOS.About.Author1, Contentx, Contenty + 18, 0x000000);
            Core.Graphics.Font.Ownfont7x8.ConvertText("Homepage: " + Core.RevolutionOS.About.Homepage, Contentx, Contenty + 27, 0x000000);
            #endregion
        }

        public static void Clicks()
        {
            if (AboutOpen == true && Core.Desktop.Mouse.LeftClick((Resolution.width - (int)width) / 2 + (int)width - 17, (Resolution.height - (int)height) / 2 + 6, 10, 10) == true)//if click on the close button in about programm (X)
            {
                AboutOpen = false; //close the about app
            }
        }
    }
}
