﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RevoluionOS.Core.Desktop.Apps.Settings
{
    class Profile
    {
        public static bool ProfileOpen = false;
        public static Core.Resolution.Resolution Resolution = new Resolution.Resolution();
        public static string Username = "";
        public static string Current = "";
        public static string CurrentPW = "";
        public static string CurrentPWS = "";
        public static string NewPW1 = "";
        public static string NewPW1S = "";
        public static string NewPW2 = "";
        public static string NewPW2S = "";
        public static uint height = 120;
        public static uint width = 400;
        public static uint x = (Resolution.uwidth - width) / 2;
        public static uint y = (Resolution.uheight - height) / 2;
        public static string ContentRight = "Username";
        public static uint Contentx;
        public static uint Contenty;
        public static uint Content2x;

        public static void Draw()
        {
            #region " Form "
            Core.Desktop.Apps.Program.DrawSmall("Profile", x, y, height, width, 0x000000);//draws the form
            Core.Desktop.Apps.Program.DrawClose();//draws the close button (X)
            #endregion

            #region " Content "
            Contentx = Core.Desktop.Apps.Program.Contentx + 2;
            Contenty = Core.Desktop.Apps.Program.Contenty + 2;
            Content2x = Contentx + 101;


            Core.Graphics.Font.Ownfont10x11.ConvertText("Username", Contentx, Contenty, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Picture", Contentx, Contenty + 13, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Password", Contentx, Contenty + 26, 0x000000);
            Core.Graphics.Formsforuse.Forms.Rectangle(Content2x, Contenty, 1, height - 20, 0x383838);//a division line
            #endregion

            #region " ContentRight "
            if (ContentRight == "Default" || ContentRight == "Username")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Contentx, Contenty, 79, 13, 0xD3D3D3);//mark if opened
                Core.Graphics.Font.Ownfont10x11.ConvertText("Username", Contentx, Contenty, 0x000000);
                ContentUsername();//jumps to username
            }
            else if (ContentRight == "Picture")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Contentx, Contenty + 13, 69, 13, 0xD3D3D3);//mark if opened
                Core.Graphics.Font.Ownfont10x11.ConvertText("Picture", Contentx, Contenty + 13, 0x000000);
                //StyleContent();//jumps to style
            }
            else if (ContentRight == "Password")
            {
                Core.Graphics.Formsforuse.Forms.Rectangle(Contentx, Contenty + 26, 79, 13, 0xD3D3D3);//mark if opened
                Core.Graphics.Font.Ownfont10x11.ConvertText("Password", Contentx, Contenty + 26, 0x000000);
                ContentPassword();//jumps to password
            }
            #endregion
        }

        public static void ContentUsername()
        {
            #region " Text "
            //text
            Core.Graphics.Font.Ownfont10x11.ConvertText("Current Username: " + Core.User.User.Username, Content2x + 2, Contenty, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Username:", Content2x + 2, Contenty + 20, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Password:", Content2x + 2, Contenty + 40, 0x000000);
            #endregion

            #region " Text fields"
            //Text fields
            Core.Desktop.Apps.Program.DrawTextField(Content2x + 110, Contenty + 20, 18, 100, 0xffffff);
            Core.Desktop.Apps.Program.DrawTextField(Content2x + 110, Contenty + 40, 18, 100, 0xffffff);
            #endregion

            #region " Button "
            Core.Desktop.Apps.Program.DrawButton("Save", "Ownfont10x11", false, x + width - 100, y + height - 20, 0, 0);
            #endregion

            #region " Usernames and Passwords "
            /*
             * That will draw all Passwords and Usernames
             */
            Core.Graphics.Font.Ownfont10x11.ConvertText(Username, Content2x + 114, Contenty + 22, 0x000000);
            Core.Graphics.Font.Ownfont10x11.DrawPW(CurrentPWS, Content2x + 114, Contenty + 44, 0x000000);
            #endregion

            #region " Username and PW "
            if (Current == "Username")
            {
                Username = Core.Keyboard.Keyboard.DoingString();
            }
            else if (Current == "Password")
            {
                CurrentPWS = Core.Keyboard.Keyboard.DoingPW();
                CurrentPW = Core.Password.Passwd.Encrypt(Core.Keyboard.Keyboard.Password);
            }
            #endregion
        }

        public static void SaveUser()
        {
            if (CurrentPW == Core.Password.Passwd.Password)
            {
                Core.User.User.Username = Username;
            }
            else
            {
                Core.Desktop.Apps.Program.DrawErrorMessage(false, "ERROR! Current Password is wrong!", 0, 0, 0, 0);
            }
        }

        public static void ContentPassword()
        {
            #region " Text "
            //text
            Core.Graphics.Font.Ownfont10x11.ConvertText("Old Password:", Content2x + 2, Contenty, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Password:", Content2x + 2, Contenty + 20, 0x000000);
            Core.Graphics.Font.Ownfont10x11.ConvertText("Password:", Content2x + 2, Contenty + 40, 0x000000);
            #endregion

            #region " Text fields"
            //Text fields
            Core.Desktop.Apps.Program.DrawTextField(Content2x + 140, Contenty, 18, 100, 0xffffff);
            Core.Desktop.Apps.Program.DrawTextField(Content2x + 140, Contenty + 20, 18, 100, 0xffffff);
            Core.Desktop.Apps.Program.DrawTextField(Content2x + 140, Contenty + 40, 18, 100, 0xffffff);
            #endregion

            #region " Button "
            Core.Desktop.Apps.Program.DrawButton("Save", "Ownfont10x11",  false, x + width - 100, y + height - 20, 0, 0);
            #endregion

            #region " Passwords "
            /*
             * That will draw all Passwords
             */
            Core.Graphics.Font.Ownfont10x11.DrawPW(CurrentPWS, Content2x + 144, Contenty + 4, 0x000000);
            Core.Graphics.Font.Ownfont10x11.DrawPW(NewPW1S, Content2x + 144, Contenty + 24, 0x000000);
            Core.Graphics.Font.Ownfont10x11.DrawPW(NewPW2S, Content2x + 144, Contenty + 44, 0x000000);
            #endregion

            #region " Password "
            /*
             * Sets the Passworts for CurrentPW, NewPW1 and NewPW2
             * Hope you know what I mean
             */
            if (Current == "CurrentPW")
            {
                CurrentPWS = Core.Keyboard.Keyboard.DoingPW();
                CurrentPW = Core.Password.Passwd.Encrypt(Core.Keyboard.Keyboard.Password);
            }
            else if (Current == "NewPW1")
            {
                NewPW1S = Core.Keyboard.Keyboard.DoingPW();
                NewPW1 = Core.Keyboard.Keyboard.Password;
            }
            else if (Current == "NewPW2")
            {
                NewPW2S = Core.Keyboard.Keyboard.DoingPW();
                NewPW2 = Core.Keyboard.Keyboard.Password;
            }
            #endregion
        }

        public static void SavePW()
        {
            if (CurrentPW == Core.Password.Passwd.Password)
            {
                if (NewPW1 == NewPW2)
                {
                    Core.Password.Passwd.SavePW(NewPW2);
                }
                else
                {
                   Core.Desktop.Apps.Program.DrawErrorMessage(false, "ERROR! The Passwords are not the same!", 0, 0, 0, 0);
                }
            }
            else
            {
               Core.Desktop.Apps.Program.DrawErrorMessage(false, "ERROR! Current Password is wrong!", 0, 0, 0, 0);
            }
        }

        public static void Clicks()
        {
            if (Core.Desktop.Mouse.LeftClick((int)x + (int)width - 17, (int)y + 6, 10, 10) == true)
            {
                ProfileOpen = false;
            }
            else if (ContentRight == "Password")
            {
                ClicksPW();//jumps to clicks in ClicksPW
            }
            else if (ContentRight == "Default" || ContentRight == "Username")
            {
                ClicksUser();//jumos to clicksUser
            }
        }

        public static void ClicksPW()
        {
            if (Core.Desktop.Mouse.LeftClick((int)Content2x + 140, (int)Contenty, 100, 18) == true)
            {
                Current = "CurrentPW";
                Core.Keyboard.Keyboard.ClearPW();
            }
            if (Core.Desktop.Mouse.LeftClick((int)Content2x + 140, (int)Contenty + 20, 100, 18) == true)
            {
                Current = "NewPW1";
                Core.Keyboard.Keyboard.ClearPW();
            }
            else if (Core.Desktop.Mouse.LeftClick((int)Content2x + 140, (int)Contenty + 40, 100, 18) == true)
            {
                Current = "NewPW2";
                Core.Keyboard.Keyboard.ClearPW();
            }
            else if (Core.Desktop.Mouse.LeftClick((int)x + (int)width - 100, (int)y + (int)height - 20, 84, 70) == true)
            {
                SavePW();
            }
        }

        public static void ClicksUser()
        {
            if (Core.Desktop.Mouse.LeftClick((int)Content2x + 110, (int)Contenty + 20, 100, 18) == true)
            {
                Current = "Username";
                Core.Keyboard.Keyboard.ClearString();
            }
            if (Core.Desktop.Mouse.LeftClick((int)Content2x + 110, (int)Contenty + 40, 100, 18) == true)
            {
                Current = "Password";
                Core.Keyboard.Keyboard.ClearPW();
            }
            else if (Core.Desktop.Mouse.LeftClick((int)x + (int)width - 100, (int)y + (int)height - 20, 84, 70) == true)
            {
                SaveUser();
            }
        }
    }
}
