﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cosmos;

namespace RevoluionOS.Core.Desktop
{
    class Desktop
    {
        public static Core.Resolution.Resolution Resolution = new Resolution.Resolution();

        public static void Loading()
        {
            #region " Style (Wallpaper, Mouse,...) "
            Core.Desktop.Style.Style.Draw();//draws the wallpaper
            #endregion

            #region Statusbar
            //Statusbar
            //we already make that in "Style"
            //Core.Graphics.Statusbar.Statusbar.Make(9, 3);

            //logo in the statusbar
            Core.Graphics.Statusbar.Statusbar.MakeLogo(0xFFFAFA);

            //updates the clock
            Core.Apps.Clock.Time(Resolution.uwidth - 54, (Core.Graphics.Statusbar.Statusbar.Statusbarheight - 10) / 2, 0x000000);
            #endregion

            #region Apps
            //width and length for Icons
            Apps.Apps.length = 30;
            Apps.Apps.Width = 30;
                
            //Draws the icons
            Apps.Apps.DrawIcons();
            #endregion

            #region OpenedApps
            Core.Desktop.Apps.Apps.OpenedApps();//So that the apps kepp opened
            #endregion
        }
    }
}

