﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RevoluionOS.Core.Graphics.Statusbar
{
    class Statusbar
    {
        public static uint Statusbarheight;
        public static Core.Desktop.Apps.Icons.Icons Icons = new Desktop.Apps.Icons.Icons();
        public static Resolution.Resolution Resolution = new Resolution.Resolution();
        public static int color = 0xD3D3D3;

        public static void Make(uint height)
        {
            Statusbarheight = height;
            //Statusbar
            Core.Graphics.Formsforuse.Forms.Rectangle(0, 0, Resolution.uwidth, Statusbarheight, color);//color: light gray
        }

        public static void MakeLogo(uint color)
        {
            //Logo
            Core.Graphics.Formsforuse.Forms.DrawArray(Core.Graphics.Logo.Logomedium, 10, 10, (Statusbarheight - 10) / 2, (Statusbarheight - 10) / 2, color);
        }

        public static bool PopupOpen = false;
        public static int PopupWidth = 230;
        public static int PopupHeight = 150;

        public static void StatusBarPopUp()
        {
            int colorDivision = 0xffffff;

            #region PopUp
            Core.Graphics.Formsforuse.Forms.Rectangle(0, Statusbarheight, (uint)PopupWidth, (uint)PopupHeight, color);//The whole PopupBG
            Core.Graphics.Formsforuse.Forms.Rectangle((uint)PopupWidth / 2, Statusbarheight + 1, 1, (uint)PopupHeight - 2, colorDivision);//The Division 
            #endregion

            #region Icons and Text Left
            //Disks
            Core.Graphics.Formsforuse.Forms.Draw3Colors(Icons.Disks10x10, 10, 10, 1, Statusbarheight + 7, 0x383838, 0xffffff, 0x0AFF0A);//The Icon for "Disks"
            Core.Graphics.Font.Ownfont14x16.ConvertText("Disks", 12, Statusbarheight + 3, 0x000000);

            //Apps
            Core.Graphics.Formsforuse.Forms.Draw2Colors(Icons.Folder10x10, 10, 10, 1, Statusbarheight + 29, 0x00EDFF, 0xffffff);//The Icon for a folder (Apps) 
            Core.Graphics.Font.Ownfont14x16.ConvertText("Apps", 12, Statusbarheight + 25, 0x000000);

            //Games
            Core.Graphics.Formsforuse.Forms.Draw2Colors(Icons.Folder10x10, 10, 10, 1, Statusbarheight + 51,0x00EDFF, 0xffffff);//The Icon for a folder (Games) 
            Core.Graphics.Font.Ownfont14x16.ConvertText("Games", 12, Statusbarheight + 47, 0x000000);
            #endregion

            #region Icons and Text Right
            //Settings
            Core.Graphics.Font.Ownfont14x16.ConvertText("Settings", (uint)PopupWidth / 2 + 4, Statusbarheight + 3, 0x000000);

            //About
            Core.Graphics.Font.Ownfont14x16.ConvertText("About", (uint)PopupWidth / 2 + 4, Statusbarheight + 25, 0x000000);
            #endregion
        }

        public static void Clicks()
        {
        
            if (Core.Desktop.Mouse.LeftClick(PopupWidth, (int)Statusbarheight, Resolution.width - PopupWidth, Resolution.height - (int)Statusbarheight) == true || Core.Desktop.Mouse.LeftClick(0, (int)Statusbarheight + PopupHeight, PopupWidth, Resolution.height - (int)Statusbarheight - PopupHeight) == true)
            {
                PopupOpen = false;
            }

            else if (Core.Desktop.Mouse.LeftClick(Core.Graphics.Statusbar.Statusbar.PopupWidth / 2 + 2, (int)Core.Graphics.Statusbar.Statusbar.Statusbarheight + 1, 116, 20) == true)
            {
                PopupOpen = false;
                Core.Desktop.Apps.Settings.Settings.SettingsOpen = true;
                Core.Desktop.Apps.Settings.Settings.MenuOpen = true;
            }

            else if (Core.Desktop.Mouse.LeftClick(Core.Graphics.Statusbar.Statusbar.PopupWidth / 2 + 2, (int)Core.Graphics.Statusbar.Statusbar.Statusbarheight + 23, 74, 20) == true)
            {
                PopupOpen = false;
                Core.Desktop.Apps.About.AboutOpen = true;
            }
        }
    }
}
